Subject: Re: [spfbis] Gen-ART Last Call review of draft-ietf-spfbis-4408bis-14

From: S Moonesamy <[email-masked]>
Date: Mon, 29 Apr 2013 10:14:28 -0700

Hi Meral,

Thanks for the review.  I am forwarding it to the SPFBIS mailing list 
for discussion.  I'll email you in a few days to address your comments.

Regards,
S. Moonesamy (as document shepherd)

At 08:53 29-04-2013, Meral Shirazipour wrote:
>I am the assigned Gen-ART reviewer for this draft. For background on 
>Gen-ART, please see the FAQ at 
><http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq 
>.
>
>Please resolve these comments along with any other Last Call 
>comments you may receive.
>
>Document: draft-ietf-spfbis-4408bis-14
>Reviewer: Meral Shirazipour
>Review Date: 2013-04-29
>IETF LC End Date: 2013-04-30
>IESG Telechat date: NA
>
>
>
>Summary:
>This draft is almost ready to be published as Informational RFC but 
>I do have some comments.
>
>
>Nits/editorial comments:
>-[Page 6] Section "1.1.2.  Imported Definitions"
>Please consider expanding acronyms and giving the section of the RFC 
>where each term is defined.
>(Also throughout the document it would greatly help the readability 
>if acronyms are expanded when first used.)
>
>-[Page 8] Section 2.2. Line 1:
>""MAIL FROM" -> extra \"
>
>-[Page 13], Section 3.3. , first line: "sections 3.3.14 and 3.3".
>If both subsection and subsubsection are to be mentioned, please 
>consider: "sections 3.3 and 3.3.14"
>
>-[Page 16], Section 4.3, paragraph 1, last sentence: extra text/typo 
>to be removed: "on 2.3 of [RFC5890]."
>
>-[Page 16], Section 4.4, paragraph 3,"[RFC2308] suggests on an" 
>--remove "on"--> "[RFC2308] suggests an"
>
>-[Page 21], Section 5.1, line 1,
>"This section defines two types of mechanisms." --for clarity--> 
>"This section defines two types of mechanisms: basic and designated sender."
>
>-[Page 21], second paragraph before last, " both "AAAA" and "A" 
>secords "--typo--> "records"
>
>-[Page 22], Section 5.2, point 3, please review  "include: 
>mechanism" and "\"fail ".
>Suggestion: instead of "gives a pass" or "gives a fail" is it better 
>to say "signifies" or "represents" as pass/fail?
>
>-[Page 22], second paragraph before last,
>"Only the evaluated result of the referenced SPF record is used, 
>rather than acting as if the referenced SPF
>record was literally included in the first."
>The part after the comma in this sentence is hard to understand. 
>Please review if possible.
>
>-[Page 24], Section 5.4,
>"the evaluation terminated"--missing is-->"the evaluation is terminated"
>"has no MX records"--no s-->"has no MX record"
>
>-[Page 26], first paragraph,
>"and more reliable alternatives used instead"---->"and more reliable 
>alternatives should be used instead"
>
>"still in use and part of"---->"still in use as part of"
>
>-[Page 29], paragraph 3,
>"is generally be"---->"will generally be"
>
>-[Page 30], paragraph 1,
>"such as shown in Section 2.6.4",- is this pointing to the correct section?
>
>-[Page 30], last sentence
>"Note: During recursion into an "include" mechanism, an exp= modifier
>    from the <target-name> MUST NOT be used.  In contrast, when executing
>    a "redirect" modifier, an exp= modifier from the original domain MUST
>    NOT be used.
>"
>Is it possible to add 1-2 sentence to explain why?(what is the 
>expected consequence if this is not respected)
>
>-[Page 32], line 3,
>"p = the validated domain name of <ip> (do not use)"
>Is it possible to add a reference to section 5.5 which explains why?
>Suggested: "(do not use, see Section 5.5)"
>
>-[Page 33], third paragraph before last
>"was provide more than once"---->"was provided more than once"
>
>-[Page 34], last "Note":
>"....for as long as the shortest Time To Live (TTL) of all the DNS 
>records involved."
>Please review this sentence ending. It is not clear.
>Suggestion: "as long as the DNS record involved with the shortest 
>TTL has not expired" ?
>
>-[Page 36], sentence 2, "Terse definitions"--typo-->"The definitions"
>
>-[Page 36], paragraph 2,"be explicity"--typo-->"be explicitly"
>
>-[Page 36], Section 8.1,"checked idenity"--typo-->"checked identity"
>
>-[Page 37], Section 8.4, "the 5.7.1 enhanced status code", with 
>reference to RFC3463.
>For better clarity please consider adding reference to Section 3.8 
>of the RFC3463.
>
>-[Page 38], Section 8.6,
>For better clarity please consider referring to Section 3.5 of RFC3463
>
>-[Page 38], Section 8.8,
>For better clarity please consider referring to Section 3.6 of RFC3463
>
>-[Page 39], Section 9 Title, "Recording The Result"---->"the"
>
>-[Page 44], Line 2, "carefully weight"---->"carefully weigh"
>
>-[Page 44], Section 10.1.2, ""ip4" and "ip6" over "a" or "a" or "mx"."
>The last part should suggest "mx' over "a" or the reverse?
>
>-[Page 46], Section 10.3 "User actor.[RFC5598]."---->"User actor [RFC5598]."
>
>-[Page 47], before last sentence, missing closing 
>parenthesis:"(defined in Section 4.6.4."
>
>-[Page 49], Section 11.5.3, "It is necesary"--typo-->"It is necessary"
>
>-[Page 62], line 2, "to implmentation"--typo-->"to implementation"
>
>-[Page 62], second bullet before last, "Section 10 and Appendices D 
>- H below.", is this part of the sentence refering to anything, below?
>
>-[Page 65], Section E.3, "Receving ADMDs"--typo-->"Receiving ADMDs"
>
>-[Page 66], last line, "mitiate"--typo-->"mitigate"
>
>-[Page 68], one line before last, "reliabilility"--typo-->"reliability"
>
>-[Page 70], paragraphe 2,
>"techincal"--typo-->"technical"
>"deplyment"--typo-->"deployment"
>
>-[Page 72], line 7, "obslete"--typo-->"obsolete"
>
>-[Page 72], 2 line before last, "text and figures from Alessandro 
>Vesely", is it only to section 9.1, or 10.1.1. as well?
>
>-[Page 73], "Added new section 9 discussion on treatment of 
>bounces", is it section 9 or section 10.1.3?
>
>-[Page 73], 1 line before last, "potental"--typo-->"potential"
>
>-Appendix J., please review the 'section references' pointing to 
>various changes.
>
>
>
>-Throughout the draft, DNS "look up"---->"lookup"
>
>-Throughout the draft, DNS RCODEs are mentioned without any 
>reference to RFC1035 (or RFC6195)
>
>-Throughout the draft, many cross references break the follow. I 
>suggested revisiting some of them and adding a small text after each 
>reference which introduces that section.
>Example :[Page 17], Section 4.6.2 "the result is specified in 
>Section 4.7", suggested-->"the result is specified in Section 4.7 
>where Default results are discussed"
>
>-"Section 2.6 Results of Evaluation" lists the possible outputs of 
>check_host().
>Then "Section 8.  Result Handling" continues the description with 
>handling guidance.
>To avoid breaking the flow, please consider moving the descriptive 
>content of Section 2.6 into Section 8. (unless there is another 
>reason to keep them far apart).
>
>
>
>
>Best Regards,
>Meral
>
>---
>Meral Shirazipour
>Ericsson Research
>www.ericsson.com

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Mon, 29 Apr 2013 11:34:44 -0700

On Mon, Apr 29, 2013 at 10:14 AM, S Moonesamy <[email-masked]> wrote:

> Hi Meral,
>
> Thanks for the review.  I am forwarding it to the SPFBIS mailing list for
> discussion.  I'll email you in a few days to address your comments.
>
> Regards,
>> Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/**
>> area/gen/trac/wiki/GenArtfaq<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>
>> >h**ttp://wiki.tools.ietf.org/**area/gen/trac/wiki/GenArtfaq<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
>>
>> Please resolve these comments along with any other Last Call comments you
>> may receive.
>>
>> This draft is almost ready to be published as Informational RFC but I do
>> have some comments.
>>
>
Was this a mistake in the preparation of the review, or did the reviewer
believe the intended status was Informational and thus do a review with
less scrutiny in mind?  The intended status is Proposed Standard.

-MSK

---

From: S Moonesamy <[email-masked]>
Date: Mon, 29 Apr 2013 11:47:31 -0700

Hi Murray,
At 11:34 29-04-2013, Murray S. Kucherawy wrote:
>Was this a mistake in the preparation of the review, or did the 
>reviewer believe the intended status was Informational and thus do a 
>review with less scrutiny in mind?  The intended status is Proposed Standard.

In my opinion the reviewer read the draft very carefully.  The 
reviewer might have written the word "Informational" to see whether 
the SPFBIS working group will read the Gen-ART review carefully. :-)

The intended status of the draft is "Proposed Standard".

Regards,
S. Moonesamy

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Mon, 29 Apr 2013 12:26:43 -0700

On Mon, Apr 29, 2013 at 11:47 AM, S Moonesamy <[email-masked]> wrote:

> In my opinion the reviewer read the draft very carefully.  The reviewer
> might have written the word "Informational" to see whether the SPFBIS
> working group will read the Gen-ART review carefully. :-)
>

Better to ask the question now than have it come up during IETF LC that the
review needs to be repeated with a different perspective.

> The intended status of the draft is "Proposed Standard".

Right.

-MSK

---

From: Dotzero <[email-masked]>
Date: Mon, 29 Apr 2013 15:44:49 -0400

On Mon, Apr 29, 2013 at 2:47 PM, S Moonesamy <[email-masked]> wrote:
>> believe the intended status was Informational and thus do a review with less
>> scrutiny in mind?  The intended status is Proposed Standard.
>
>

I noticed this as well and was just about to respond when I saw Murray respond.

Mike

---

From: Meral Shirazipour <[email-masked]>
Date: Mon, 29 Apr 2013 19:26:46 +0000

Hi,
  Sorry for the confusion. I read it fully aware that it is not informational. 

Original email : http://www.ietf.org/mail-archive/web/gen-art/current/msg08509.html should say:
OLD:  "This draft is almost ready to be published as Informational RFC but I do have some comments."
NEW: "This draft is almost ready to be published as Standard RFC but I do have some comments."

Thanks,
Meral

-----Original Message-----
From: S Moonesamy [mailto:[email-masked]] 
Sent: Monday, April 29, 2013 11:48 AM
To: Murray S. Kucherawy
Cc: Meral Shirazipour; [email-masked]; [email-masked]; General Area Review Team
Subject: Re: [spfbis] Gen-ART Last Call review of draft-ietf-spfbis-4408bis-14

Hi Murray,
>review with less scrutiny in mind?  The intended status is Proposed Standard.

In my opinion the reviewer read the draft very carefully.  The reviewer might have written the word "Informational" to see whether the SPFBIS working group will read the Gen-ART review carefully. :-)

Regards,
S. Moonesamy